<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since Twenty Seventeen 1.0
 * @version 1.0
 */

get_header(); ?>

<?php 
if (is_category()) {
?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('blog_banner_section_background_image',53); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                    <h1><?php the_field('blog_banner_section_heading',53); ?></h1>
                    <?php the_field('blog_banner_section_description',53); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('blog_banner_section_image',53); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Blog Start -->
    <?php
        $category_id = get_query_var('cat');
        // Define the query arguments
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;  // Default to page 1 if paged is not set
        $args = array(
            'post_type'      => 'post',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
            'posts_per_page' => 6,             // Number of posts to retrieve
            'orderby'        => 'date',        // Order posts by date
            'order'          => 'ASC',        // Display posts in descending order (newest first)
            'post_status'    => 'publish',      // Only get published posts
            'cat'            => $category_id,
            'paged'          => $paged
        );

        // Create a new WP_Query object with the defined arguments
        $query = new WP_Query($args);

        // Check if there are posts
        if ($query->have_posts()) :
    ?>
        <div class="adv_blogpage_wrap">
            <div class="container">
                <div class="row justify-content-center align-items-center">
                    <div class="col-lg-12">
                        <div class="adv_heading_center_wrap">
                            <?php 
                            // Get the category object
                            $category = get_category($category_id);
                            
                            // Get the category name
                            $category_name = $category->name;
                            ?>
                            <h2><?php echo $category_name; // Outputs the category name;  echo $category->description; // Outputs the category description?></h2>
                        </div>
                    </div>
                </div>
                <div class="row justify-content-center">
                    <?php
                    // Start the Loop
                    while ($query->have_posts()) : $query->the_post(); ?>
                        <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                            <div class="adv_blog_box">
                                <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                <a href="<?php the_permalink(); ?>" class="adv_blog_img">
                                    <?php if($image){
                                        ?>
                                        <img src="<?php echo $image ?>" alt="Image">
                                        <?php
                                    }else{
                                        ?>
                                        <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                        <?php
                                    } ?>
                                </a>
                                <h6>
                                    <?php
                                        $categories = get_the_category(); // Get the categories for the post
                                        if ( ! empty( $categories ) ) {
                                            $category_count = count($categories); // Count total categories
                                            $i = 0; // Counter to track loop position
                                            foreach ($categories as $category) {
                                                echo esc_html($category->name); // Display the category name

                                                // Add a comma only if it's not the last category
                                                if (++$i < $category_count) {
                                                    echo ', ';
                                                }
                                            }
                                        }
                                    ?>
                                </h6>
                                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                <?php echo wp_trim_words(get_the_excerpt(), 30); ?>
                                <a href="<?php the_permalink(); ?>" class="adv_blog_btn"><span>Read Full Story</span> <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-arrow.png" alt="Image"></a>
                            </div>
                        </div>
                    <?php endwhile; ?>
                </div>
                <!-- Pagination Start -->
                <div class="adv_paginations_wrap">
                    <?php
                        echo "<div class='adv_paginations'>" . paginate_links(array(
                            'total' => $query->max_num_pages,
                            'prev_text' => __('<div class="preious-page">Previous</div>'),
                            'next_text' => __('<div class="next-page">Next</div>')
                        )) . "</div>";
                    ?>
                </div>
            </div>
        </div>
    <?php
        // Reset post data
        wp_reset_postdata();

        endif;
    ?>

    <?php }else{?>
        <div class="adv_mainparent_wrap adv_bgcolor_wrap">
            <div class="container">
                <div class="row">
                    <div class="col-lg-9 col-md-9 col-sm-9">
                        <div class="wrap adv_blogdetail_content">
                            <?php if ( have_posts() ) : ?>
                                <header class="page-header">
                                <?php the_title();?>
                                    <?php
                                    if (is_category()) {
                                        $category_id = get_query_var('cat');
                                        echo 'Category ID: ' . $category_id;
                                    }
                                        the_archive_title( '<h1 class="page-title">', '</h1>' );
                                        the_archive_description( '<div class="taxonomy-description">', '</div>' );
                                    ?>
                                </header><!-- .page-header -->
                            <?php endif; ?>
                            <div id="primary" class="content-area">
                                <main id="main" class="site-main">
                                    <?php
                                        if ( have_posts() ) :
                                        ?>
                                    <?php
                                    // Start the Loop.
                                    while ( have_posts() ) :
                                        the_post();
                                        /*
                                        * Include the Post-Format-specific template for the content.
                                        * If you want to override this in a child theme, then include a file
                                        * called content-___.php (where ___ is the Post Format name) and that
                                        * will be used instead.
                                        */
                                        get_template_part( 'template-parts/post/content', get_post_format() );
                                    endwhile;
                                    the_posts_pagination(
                                        array(
                                            /* translators: Hidden accessibility text. */
                                            'prev_text'          => twentyseventeen_get_svg( array( 'icon' => 'arrow-left' ) ) . '<span class="screen-reader-text">' . __( 'Previous page', 'twentyseventeen' ) . '</span>',
                                            /* translators: Hidden accessibility text. */
                                            'next_text'          => '<span class="screen-reader-text">' . __( 'Next page', 'twentyseventeen' ) . '</span>' . twentyseventeen_get_svg( array( 'icon' => 'arrow-right' ) ),
                                            /* translators: Hidden accessibility text. */
                                            'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'twentyseventeen' ) . ' </span>',
                                        )
                                    );
                                else :
                                    get_template_part( 'template-parts/post/content', 'none' );
                                endif;
                                ?>
                                </main><!-- #main -->
                            </div><!-- #primary -->
                        </div><!-- .wrap -->
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3">
                        <div class="adv_blogdetail_sidebar">
                            <?php get_sidebar(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php } ?>

<?php

get_footer();