<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since Twenty Seventeen 1.0
 * @version 1.2
 */
?> 
    
    <!-- Address and Form Start -->
    <div class="adv_add_form_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('contact_info_section_heading', 'option'); ?></h2>
                        <p><?php the_field('contact_info_section_subheading', 'option'); ?></p>
                    </div>
                </div>
                <div class="col-lg-7">
                    <?php if( have_rows('address_info_section_list', 'option') ): ?>
                    <div class="adv_address_wrap">
                        <?php while( have_rows('address_info_section_list', 'option') ) : the_row(); ?>
                        <div class="adv_address_box">
                            <img src="<?php the_sub_field('address_info_section_image', 'option'); ?>" alt="Image">
                            <div class="adv_address_info">
                                <h4><?php the_sub_field('address_info_section_heading'); ?></h4>
                                <p><?php the_sub_field('address_info_section_address'); ?></p>
                                <?php if(get_sub_field('address_info_section_mail_id')){ ?>
                                    <span><img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-mail.png" alt="Icon"><?php the_sub_field('address_info_section_mail_id'); ?></span>
                                <?php } ?>
                                <?php if(get_sub_field('address_info_section_contact_number')){ ?>
                                    <span><img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-call.png" alt="Icon"><?php the_sub_field('address_info_section_contact_number'); ?></span>
                                <?php } ?>
                            </div>
                        </div>
                        <?php endwhile; ?>
                    </div>
                    <?php endif; ?>
                </div>
                <div class="col-lg-5">
                    <div class="adv_projectform_wrap">
                        <div class="adv_projectform">
                            <?php echo do_shortcode('[contact-form-7 id="8853ff8" title="Footer Contact Form"]'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Footer Start -->
    <div class="adv_footer_wrap">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <div class="adv_footer_box">
                        <?php dynamic_sidebar( 'footer-1' ); ?>
                    </div>
                </div>
                <div class="col-lg-3">
                    <div class="adv_footer_box">
                        <?php dynamic_sidebar( 'footer-2' ); ?>
                    </div>
                </div>
                <div class="col-lg-3">
                    <div class="adv_footer_box">
                        <?php dynamic_sidebar( 'footer-3' ); ?>
                    </div>
                </div>
                <div class="col-lg-3">
                    <div class="adv_footer_box">
                        <?php dynamic_sidebar( 'footer-4' ); ?>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="adv_copyright_wrap">
                        <div class="adv_footer_logo"><a href="<?php the_field('footer_bottom_section_logo_url', 'option'); ?>"><img src="<?php the_field('footer_bottom_section_logo', 'option'); ?>" alt="Icon"></a></div>
                        <p><?php the_field('footer_bottom_section_copyright', 'option'); ?></p>
                        <?php if( have_rows('footer_bottom_section_social_links', 'option') ): ?>
                            <ul>
                                <?php while( have_rows('footer_bottom_section_social_links', 'option') ) : the_row(); ?>
                                    <li><a href="<?php the_sub_field('footer_social_url', 'option'); ?>"><img src="<?php the_sub_field('footer_social_icon', 'option'); ?>" alt="Icon"></a></li>
                                <?php endwhile; ?>
                            </ul>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- JS Start -->
    <?php wp_footer(); ?>
    <script src="<?php echo get_template_directory_uri(); ?>/theme-assets/js/jquery-3.7.1.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/theme-assets/js/bootstrap.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/theme-assets/js/owl.carousel.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/theme-assets/js/custom.js"></script>
</body>
</html>