<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        <?php
        if (is_front_page()) {
            echo 'Software Development Company | Advantal Technologies Ltd'; // Static title for homepage
        } else {
            // bloginfo('name'); // Default WordPress blog title for other pages
            // wp_title('|', true, 'left');
            $title  = get_the_title();
            echo $title.' | Advantal Technologies Ltd ';
        }
        ?>
    </title>
    <link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/theme-assets/images/favicon.png" type="image/png">
    <!-- CSS Start -->
    <?php 
        $version = '1.0.0';
    ?>
    <?php wp_head(); ?>
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/theme-assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/theme-assets/css/fonts.css">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/theme-assets/css/owl.carousel.min.css">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/theme-assets/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/theme-assets/css/style.css?ver=<?php echo $version; ?>">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/theme-assets/css/responsive.css?ver=<?php echo $version; ?>">
</head>
<body <?php body_class(); ?>>
    <!-- Header Start -->
    <div class="adv_header_wrap d-flex flex-column">
        <div class="container">
            <div class="row justify-content-between align-items-center">
                <div class="adv_header_top">
                    <div class="adv_header_topleft">
                        <ul>
                            <li><a href="mailto:<?php the_field('header_top_section_email', 'option'); ?>"><?php the_field('header_top_section_email', 'option'); ?></a></li>
                            <li><a href="tel:<?php the_field('header_top_section_number', 'option'); ?>"><?php the_field('header_top_section_number', 'option'); ?></a></li>
                        </ul>
                    </div>
                    <div class="adv_header_topright">
                        <?php if( have_rows('footer_bottom_section_social_links', 'option') ): ?>
                            <ul>
                                <?php while( have_rows('footer_bottom_section_social_links', 'option') ) : the_row(); ?>
                                    <li><a href="<?php the_sub_field('footer_social_url', 'option'); ?>"><img src="<?php the_sub_field('footer_social_icon', 'option'); ?>" alt="Icon"></a></li>
                                <?php endwhile; ?>
                            </ul>
                        <?php endif; ?>
                        <a href="<?php the_field('header_top_section_button_url', 'option'); ?>" class="adv_btn"><?php the_field('header_top_section_button_text', 'option'); ?></a>
                    </div>
                </div>
                <div class="adv_header_bottom">
                    <div class="col-lg-3 col-md-4 col-9">
                        <div class="adv_logo">
                            <a href="<?php echo home_url(); ?>"><img src="<?php the_field('header_logo', 'option'); ?>" alt="Logo"></a>
                        </div>
                    </div>
                    <div class="col-lg-9 col-md-8 col-3">
                        <div class="adv_menu">
                            <?php
                               wp_nav_menu( array(
                                'theme_location'  => 'top',
                                'menu'             => 'Header Menu',
                                'menu_class'       => 'mega-menu',
                                'menu_id'          => 'top-menu',
                                'container'        => 'div',
                                'container_class'  => 'mega-menu-container',
                            ) );
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- No Data Available Start -->
    <div class="adv_nodata_wrap">
        <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-nodata.png" alt="Icon">
        <h4>No data available</h4>
        <p>There are no data to show here right now.</p>
    </div>