<?php  
/*
Template Name: Investors Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('investors_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('investors_banner_section_heading'); ?></h1>
                        <?php the_field('investors_banner_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('investors_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Investors Tabs Start -->
    <?php if( have_rows('investors_tabs') ): ?>
    <div class="adv_investors_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_investors_tabs">
                        <div class="nav flex-column nav-pills me-3" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                            <?php 
                            $i = 1;
                            while( have_rows('investors_tabs') ) : the_row(); ?>
                                <button class="nav-link <?php if($i == 1){ echo "active"; } ?>" id="v-pills-1-tab" data-bs-toggle="pill" data-bs-target="#v-pills-<?php echo $i;?>" type="button" role="tab" aria-controls="v-pills-1" aria-selected="true"><?php the_sub_field('investors_tabs_heading'); ?></button>
                            <?php $i++; endwhile; ?>
                        </div>
                        <div class="tab-content" id="v-pills-tabContent">
                            <?php $i = 1; while( have_rows('investors_tabs') ) : the_row(); ?>
                            <div class="tab-pane fade show <?php if($i == 1){ echo "active"; } ?>" id="v-pills-<?php echo $i;?>" role="tabpanel" aria-labelledby="v-pills-1-tab" tabindex="0">
                                <?php the_sub_field('investors_tabs_description'); ?>
                            </div>
                            <?php  $i++; endwhile; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Companies Start -->
    <?php if( have_rows('company_clients_section_list', 'option') ): ?>
    <div class="adv_companies_wrap adv_investors_list">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('clients_section_heading'); ?></h2>
                        <p><?php the_field('clients_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_companies_list_wrap">
                        <?php while( have_rows('company_clients_section_list', 'option') ) : the_row(); ?>
                            <div class="adv_companies_list">
                                <?php while( have_rows('company_clients_section_list_wrap', 'option') ) : the_row(); ?>
                                    <span><img src="<?php the_sub_field('company_clients_section_list_image', 'option'); ?>" alt="Image"></span>
                                <?php endwhile; ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Blog Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post_type'      => 'post',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 6,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_blog_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('blog_section_heading'); ?></h2>
                        <p><?php the_field('blog_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_blog_boxwrap">
                        <div class="owl-carousel owl-theme adv_blog_slider">
                            <?php
                            // Start the Loop
                            while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="item">
                                    <div class="adv_blog_box">
                                        <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                        <a href="<?php the_permalink(); ?>"  class="adv_blog_img">
                                            <?php if($image){
                                                ?>
                                                <img src="<?php echo $image ?>" alt="Image">
                                                <?php
                                            }else{
                                                ?>
                                                <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                                <?php
                                            } ?>
                                        </a>
                                        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        <?php echo wp_trim_words(get_the_excerpt(), 30); ?>
                                        <a href="<?php the_permalink(); ?>" class="adv_btn">Read more</a>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>

<?php get_footer();?>