<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since Twenty Seventeen 1.0
 * @version 1.0
 */

get_header(); ?>

	<!-- Main Parent Wrap Start -->
	<div class="adv_mainparent_wrap adv_bgcolor_wrap">
		<div class="container">
            <div class="row">
				<div class="col-lg-9 col-md-9 col-sm-9">
					<div class="wrap">
						<header class="page-header">
							<?php if ( have_posts() ) : ?>
								<h1 class="page-title">
									<?php
									/* translators: Search query. */
									printf( __( 'Search Results for: %s', 'twentyseventeen' ), '<span>' . get_search_query() . '</span>' );
									?>
								</h1>
							<?php else : ?>
								<h1 class="page-title"><?php _e( 'Nothing Found', 'twentyseventeen' ); ?></h1>
							<?php endif; ?>
						</header><!-- .page-header -->
						<div id="primary" class="content-area">
							<main id="main" class="site-main">

								<?php
									if ( have_posts() ) :
										// Start the Loop.
										while ( have_posts() ) :
											the_post();

											/**
											 * Run the loop for the search to output the results.
											 * If you want to overload this in a child theme then include a file
											 * called content-search.php and that will be used instead.
											 */
											get_template_part( 'template-parts/post/content', 'excerpt' );

										endwhile; // End the loop.

										the_posts_pagination(
											array(
												/* translators: Hidden accessibility text. */
												'prev_text'          => twentyseventeen_get_svg( array( 'icon' => 'arrow-left' ) ) . '<span class="screen-reader-text">' . __( 'Previous page', 'twentyseventeen' ) . '</span>',
												/* translators: Hidden accessibility text. */
												'next_text'          => '<span class="screen-reader-text">' . __( 'Next page', 'twentyseventeen' ) . '</span>' . twentyseventeen_get_svg( array( 'icon' => 'arrow-right' ) ),
												/* translators: Hidden accessibility text. */
												'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'twentyseventeen' ) . ' </span>',
											)
										);

									else :
								?>

								<p>
									<?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'twentyseventeen' ); ?>
								</p>
								<?php
									get_search_form();
								endif;
								?>
							</main><!-- #main -->
						</div><!-- #primary -->
					</div><!-- .wrap -->
				</div>
				<div class="col-lg-3 col-md-3 col-sm-3">
					<div class="adv_blogdetail_sidebar">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php
get_footer();
