<?php
/**
 * Template for displaying search forms in Twenty Seventeen
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since Twenty Seventeen 1.0
 * @version 1.0
 */

?>

	<?php $unique_id = esc_attr( twentyseventeen_unique_id( 'search-form-' ) ); ?>

	<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<label for="<?php echo $unique_id; ?>">
			<span class="screen-reader-text">
				<?php
				/* translators: Hidden accessibility text. */
				echo _x( 'Search for:', 'label', 'twentyseventeen' );
				?>
			</span>
		</label>
		<input type="search" id="<?php echo $unique_id; ?>" class="search-field" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'twentyseventeen' ); ?>" value="<?php echo get_search_query(); ?>" name="s" />
		<button type="submit" class="search-submit">
			<?php echo twentyseventeen_get_svg( array( 'icon' => 'search' ) ); ?>
			<span class="screen-reader-text">
				<?php
				/* translators: Hidden accessibility text. */
				echo _x( 'Search', 'submit button', 'twentyseventeen' );
				?>
			</span>
		</button>
	</form>
