<?php
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('products_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('products_banner_section_heading'); ?></h1>
                        <?php the_field('products_banner_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_projectform_wrap">
                        <h4><?php the_field('products_banner_section_form_heading'); ?></h4>
                        <p><?php the_field('products_banner_section_form_subheading'); ?></p>
                        <div class="adv_projectform">
                            <?php echo do_shortcode('[contact-form-7 id="5fa3a17" title="Banner Contact Form"]'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Solutions Banner Start -->
    <div class="avd_solutions_banner">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('about_product_section_heading'); ?></h2>
                        <p><?php the_field('about_product_section_subheading'); ?></p>
                        <a href="<?php the_field('about_product_section_button_url'); ?>" class="adv_btn"><?php the_field('about_product_section_button_text'); ?></a>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="avd_solutions_img">
                        <img src="<?php the_field('about_product_section_image'); ?>" alt="Image">
                    </div>
                </div>
                <div class="col-lg-12 col-sm-12">
                    <div class="avd_solutions_text">
                        <?php the_field('about_product_section_description'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Clients Start -->
    <?php if( have_rows('company_clients_section_list', 'option') ): ?>
    <div class="adv_companies_wrap adv_solution_clients">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('clients_section_heading'); ?></h2>
                        <p><?php the_field('clients_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_companies_list_wrap">
                        <?php while( have_rows('company_clients_section_list', 'option') ) : the_row(); ?>
                            <div class="adv_companies_list">
                                <?php while( have_rows('company_clients_section_list_wrap', 'option') ) : the_row(); ?>
                                    <span><img src="<?php the_sub_field('company_clients_section_list_image', 'option'); ?>" alt="Image"></span>
                                <?php endwhile; ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Product Key Features Start -->
    <div class="adv_whyus_wrap adv_keyfeatures_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('product_key_features_heading'); ?></h2>
                        <p><?php the_field('product_key_features_subheading'); ?></p>
                    </div>
                </div>
                <?php if( have_rows('product_key_features_list') ): ?>
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_whyus_box">
                        <ul>
                            <?php while( have_rows('product_key_features_list') ) : the_row(); ?>
                            <li>
                                <h4><?php the_sub_field('product_key_features_list_heading'); ?></h4>
                                <p><?php the_sub_field('product_key_features_list_description'); ?></p>
                            </li>
                            <?php endwhile; ?>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <!-- Technologies Start -->
    <?php
        // Define the query arguments
        $args = array(
            'post__in'       => get_field('our_technology_show_home'),
            'post_type'      => 'technology',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
            'posts_per_page' => 6,             // Number of posts to retrieve
            'orderby'        => 'date',        // Order posts by date
            'order'          => 'DESC',        // Display posts in descending order (newest first)
            'post_status'    => 'publish'      // Only get published posts
        );

        // Create a new WP_Query object with the defined arguments
        $query = new WP_Query($args);

        // Check if there are posts
        if ($query->have_posts()) :
    ?>
    <div class="adv_technologies_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('we_offer_section_heading'); ?></h2>
                        <p><?php the_field('we_offer_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <?php
                    // Start the Loop
                    while ($query->have_posts()) : $query->the_post(); ?>
                    <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                        <div class="adv_technologies_box">
                            <?php if(get_field('home_technologies_content_icon')) { ?>
                                <img src="<?php the_field('home_technologies_content_icon'); ?>" alt="Icon">
                            <?php } ?>
                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                            <?php the_excerpt(); ?>
                        </div>
                    </div>
                <?php endwhile; ?>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>

    <!-- Counter Start -->
    <?php if( have_rows('statistics_section_list', 'option') ): ?>
    <div class="adv_counter_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_counter_box">
                        <?php while( have_rows('statistics_section_list', 'option') ) : the_row(); ?>
                        <div data-max="<?php the_sub_field('statistics_section_list_number', 'option'); ?>" class="adv_counter_run"><?php the_sub_field('statistics_section_list_heading', 'option'); ?></div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Case Studies Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post__in'       => get_field('case_studies_show_home'),
        'post_type'      => 'case-studies',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 3,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_casestudies_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('case_studies_section_heading'); ?></h2>
                    </div>
                </div>
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <p><?php the_field('case_studies_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <?php
                // Start the Loop
                while ($query->have_posts()) : $query->the_post(); ?>
                <div class="col-lg-4 col-sm-12">
                    <div class="adv_casestudies_box">
                        <div class="adv_casestudies_img">
                        <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                            <a href="<?php the_permalink(); ?>">
                                <?php if($image){
                                    ?>
                                    <img src="<?php echo $image ?>" alt="Image">
                                    <?php
                                }else{
                                    ?>
                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                    <?php
                                } ?>
                            </a>
                        </div>
                        <div class="adv_casestudies_text">
                            <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                            <p>
                                <?php
                                    $categories = get_the_category(); // Get the categories for the post
                                    if ( ! empty( $categories ) ) {
                                        $category_count = count($categories); // Count total categories
                                        $i = 0; // Counter to track loop position
                                        foreach ($categories as $category) {
                                            echo esc_html($category->name); // Display the category name

                                            // Add a comma only if it's not the last category
                                            if (++$i < $category_count) {
                                                echo ', ';
                                            }
                                        }
                                    }
                                ?>
                            </p>
                        </div>
                    </div>
                </div>
                <?php endwhile; ?>
                <?php   // Reset post data
                wp_reset_postdata(); ?>
                <div class="col-lg-12 col-sm-12 d-flex justify-content-center mt-3">
                    <a href="<?php the_field('case_studies_section_button_url'); ?>" class="adv_btn"><?php the_field('case_studies_section_button_text'); ?></a>
                </div>
            </div>
        </div>
    </div>
    <?php

    endif;
    ?>

    <!-- Our Solutions Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post__in'       => get_field('our_products_show_home'),
        'post_type'      => 'product',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 4,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_solutions_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('our_products_section_heading'); ?></h2>
                        <p><?php the_field('our_products_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <?php
                        // Start the Loop
                        $i = 1;
                        while ($query->have_posts()) : $query->the_post(); $i++;
                        if($i%2==0){
                        ?>
                        <div class="adv_solutionbox">
                            <div class="adv_solutionbox_img">
                                <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                <?php if($image){
                                    ?>
                                    <img src="<?php echo $image ?>" alt="Image">
                                    <?php
                                }else{
                                    ?>
                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                    <?php
                                } ?>
                            </div>
                            <div class="adv_solutionbox_text">
                                <h4><?php the_title(); ?></h4>
                                <?php the_excerpt(); ?>
                                <a href="<?php the_permalink(); ?>" class="adv_btn">Read More</a>
                            </div>
                        </div>
                        <?php }else {
                        ?>
                          <div class="adv_solutionbox adv_rightalign">
                            <div class="adv_solutionbox_img">
                                <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                <?php if($image){
                                    ?>
                                    <img src="<?php echo $image ?>" alt="Image">
                                    <?php
                                }else{
                                    ?>
                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                    <?php
                                } ?>
                            </div>
                            <div class="adv_solutionbox_text">
                                <h4><?php the_title(); ?></h4>
                                <?php the_excerpt(); ?>
                                <a href="<?php the_permalink(); ?>" class="adv_btn">Read More</a>
                            </div>
                        </div>
                        <?php
                        } ?>
                    <?php endwhile; ?>
                </div>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>
    
    <!-- Blog Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post_type'      => 'post',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 6,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_blogpage_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('blog_section_heading'); ?></h2>
                        <p><?php the_field('blog_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_blog_boxwrap">
                        <div class="owl-carousel owl-theme adv_blog_slider">
                            <?php
                            // Start the Loop
                            while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="item">
                                    <div class="adv_blog_box">
                                        <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                        <a href="<?php the_permalink(); ?>"  class="adv_blog_img">
                                            <?php if($image){
                                                ?>
                                                <img src="<?php echo $image ?>" alt="Image">
                                                <?php
                                            }else{
                                                ?>
                                                <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                                <?php
                                            } ?>
                                        </a>
                                        <h6>
                                            <?php
                                                $categories = get_the_category(); // Get the categories for the post
                                                if ( ! empty( $categories ) ) {
                                                    $category_count = count($categories); // Count total categories
                                                    $i = 0; // Counter to track loop position
                                                    foreach ($categories as $category) {
                                                        echo esc_html($category->name); // Display the category name

                                                        // Add a comma only if it's not the last category
                                                        if (++$i < $category_count) {
                                                            echo ', ';
                                                        }
                                                    }
                                                }
                                            ?>
                                        </h6>
                                        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        <?php echo wp_trim_words(get_the_excerpt(), 30); ?>
                                        <a href="<?php the_permalink(); ?>" class="adv_blog_btn"><span>Read Full Story</span> <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-arrow.png" alt="Image"></a>
                                    </div>
                                </div>        
                            <?php endwhile; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>

<?php get_footer();?>