<?php
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('technologies_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('technologies_banner_section_heading'); ?></h1>
                        <?php the_field('technologies_banner_section_description'); ?>
                        <a href="<?php the_field('technologies_banner_section_button_url'); ?>" class="adv_btn"><?php the_field('technologies_banner_section_button_text'); ?></a>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('technologies_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Get started Start -->
    <div class="adv_techbnrbtm_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('get_started_section_heading'); ?></h2>
                        <p><?php the_field('get_started_section_subheading'); ?></p>
                        <a href="<?php the_field('get_started_section_button_url'); ?>" class="adv_btn"><?php the_field('get_started_section_button_text'); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Technologies Start -->
    <div class="adv_technologies_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('technologies_offers_section_heading'); ?></h2>
                        <p><?php the_field('technologies_offers_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <?php if( have_rows('technologies_offers_list') ): ?>
            <div class="row justify-content-center">
                <?php while( have_rows('technologies_offers_list') ) : the_row(); ?>
                <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                    <div class="adv_technologies_box">
                        <img src="<?php the_sub_field('technologies_offers_list_image'); ?>" alt="Image">
                        <h4><?php the_sub_field('technologies_offers_list_heading'); ?></h4>
                        <p><?php the_sub_field('technologies_offers_list_description'); ?></p>
                    </div>
                </div>
                <?php endwhile; ?>
            </div>
            <?php endif; ?>
        </div>
    </div>
    
    <!-- Pipeline Start -->
    <div class="adv_industriesfirst_wrap">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('pipeline_section_heading'); ?></h2>
                        <p><?php the_field('pipeline_section_subheading'); ?></p>
                        <a href="<?php the_field('pipeline_section_button_url'); ?>" class="adv_btn"><?php the_field('pipeline_section_button_text'); ?></a>
                    </div>
                    <div class="adv_insight_wrap">
                        <?php the_field('pipeline_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_industriesfirst_imgs">
                        <img src="<?php the_field('pipeline_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Hire Expert Start -->
    <div class="adv_serviceoffer_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-8 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('hire_expert_section_heading'); ?></h2>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <a href="<?php the_field('hire_expert_section_button_url'); ?>" class="adv_btn"><?php the_field('hire_expert_section_button_text'); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Companies Start -->
    <?php if( have_rows('company_clients_section_list', 'option') ): ?>
    <div class="adv_companies_wrap pb-5">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('clients_section_heading'); ?></h2>
                        <p><?php the_field('clients_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_companies_list_wrap">
                        <?php while( have_rows('company_clients_section_list', 'option') ) : the_row(); ?>
                            <div class="adv_companies_list">
                                <?php while( have_rows('company_clients_section_list_wrap', 'option') ) : the_row(); ?>
                                    <span><img src="<?php the_sub_field('company_clients_section_list_image', 'option'); ?>" alt="Image"></span>
                                <?php endwhile; ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Blog Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post_type'      => 'post',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 6,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_blog_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('blog_section_heading'); ?></h2>
                        <p><?php the_field('blog_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_blog_boxwrap">
                        <div class="owl-carousel owl-theme adv_blog_slider">
                            <?php
                            // Start the Loop
                            while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="item">
                                    <div class="adv_blog_box">
                                        <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                        <a href="<?php the_permalink(); ?>"  class="adv_blog_img">
                                            <?php if($image){
                                                ?>
                                                <img src="<?php echo $image ?>" alt="Image">
                                                <?php
                                            }else{
                                                ?>
                                                <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                                <?php
                                            } ?>
                                        </a>
                                        <h6>
                                            <?php
                                                $categories = get_the_category(); // Get the categories for the post
                                                if ( ! empty( $categories ) ) {
                                                    $category_count = count($categories); // Count total categories
                                                    $i = 0; // Counter to track loop position
                                                    foreach ($categories as $category) {
                                                        echo esc_html($category->name); // Display the category name

                                                        // Add a comma only if it's not the last category
                                                        if (++$i < $category_count) {
                                                            echo ', ';
                                                        }
                                                    }
                                                }
                                            ?>
                                        </h6>
                                        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        <?php echo wp_trim_words(get_the_excerpt(), 30); ?>
                                        <a href="<?php the_permalink(); ?>" class="adv_btn">Read more</a>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>

<?php get_footer();?>