<?php  
/*
Template Name: About Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('about_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('about_banner_section_heading'); ?></h1>
                        <?php the_field('about_banner_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('about_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- About Video Start -->
    <div class="adv_aboubanner_wrap" >
        <div class="container">
            <div class="row justify-content-center align-items-center">
            <div class="col-lg-12 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('about_video_section_heading'); ?></h2>
                        <p><?php the_field('about_video_section_subheading'); ?></p>
                    </div>
                </div>
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_videowrap">
                        <iframe src="<?php the_field('about_video_section_video'); ?>" title="YouTube video player" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- About Start -->
    <div class="adv_serviceoffer_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-6 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('about_contact_section_heading'); ?></h2>
                    </div>
                </div>
                <div class="col-lg-6 col-sm-12">
                    <div class="adv_heading_wrap">
                        <p><?php the_field('about_contact_section_subheading'); ?></p>
                        <a href="<?php the_field('about_contact_section_button_url'); ?>" class="adv_btn"><?php the_field('about_contact_section_button_text'); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Counter Start -->
    <?php if( have_rows('statistics_section_list', 'option') ): ?>
    <div class="adv_counter_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_counter_box">
                        <?php while( have_rows('statistics_section_list', 'option') ) : the_row(); ?>
                        <div data-max="<?php the_sub_field('statistics_section_list_number', 'option'); ?>" class="adv_counter_run"><?php the_sub_field('statistics_section_list_heading', 'option'); ?></div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Who We Are Start -->
    <div class="adv_whoweare_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-6 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('who_we_are_section_heading'); ?></h2>
                        <?php the_field('who_we_are_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-6 col-sm-12">
                    <div class="adv_whoweare_video">
                        <iframe src="<?php the_field('who_we_are_section_video'); ?>" title="YouTube video player" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Whyu Us Start -->
    <div class="adv_whyus_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('why_choose_section_heading'); ?></h2>
                        <p><?php the_field('why_choose_section_subheading'); ?></p>
                    </div>
                </div>
                <?php if( have_rows('why_choose_section_list') ): ?>
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_whyus_box">
                        <ul>
                            <?php while( have_rows('why_choose_section_list') ) : the_row(); ?>
                            <li>
                               <?php if(get_sub_field('why_choose_section_list_image')){ ?>
                                    <img src="<?php the_sub_field('why_choose_section_list_image'); ?>" alt="Icon">
                                <?php } ?>    
                                <h4><?php the_sub_field('why_choose_section_list_heading'); ?></h4>
                                <p><?php the_sub_field('why_choose_section_list_subheading'); ?></p>
                            </li>
                            <?php endwhile; ?>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <!-- Our Customers Start -->
    <?php if( have_rows('testimonial_section_list', 'option') ): ?>
    <div class="adv_ourcustomers_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('clients_section_heading'); ?></h2>
                        <p><?php the_field('clients_section_subheading'); ?></p>
                    </div>
                </div>
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_ourcustomers_testimo">
                        <?php $i=1; while( have_rows('testimonial_section_list', 'option') ) : the_row(); ?>
                            <div class="adv_ourcustomers_testi_box <?php if($i==1){ echo "adv_testi_box1"; } ?>">
                                <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-quotes.png" alt="Icon">
                                <p><?php the_sub_field('testimonial_section_list_client_content', 'option'); ?></p>
                                <h5><?php the_sub_field('testimonial_section_list_client_name', 'option'); ?></h5>
                                <h6><?php the_sub_field('testimonial_section_list_client_designation', 'option'); ?></h6>
                            </div>
                        <?php $i++; endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Newsletter Start -->
    <div class="adv_newsletter_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('newsletter_section_heading'); ?></h2>
                        <p><?php the_field('newsletter_section_subheading'); ?></p>
                    </div>
                    <div class="adv_newsletter_from">
                        <div class="adv_newsletter_inputfield">
                            <?php echo do_shortcode('[contact-form-7 id="50f3f00" title="Newsletter Form"]'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php get_footer();?>