<?php  
/*
Template Name: Blog Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('blog_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                    <h1><?php the_field('blog_banner_section_heading'); ?></h1>
                    <?php the_field('blog_banner_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('blog_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Blog Slider Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post_type'      => 'post',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 6,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
        <div class="adv_blog_wrap adv_bgcolor_wrap">
            <div class="container">
                <div class="row justify-content-center align-items-center">
                    <div class="col-lg-12">
                        <div class="adv_heading_center_wrap">
                            <h2><?php the_field('trending_blog_section_heading'); ?></h2>
                            <p><?php the_field('trending_blog_section_subheading'); ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row justify-content-center">
                    <div class="col-lg-12">
                        <div class="adv_blog_boxwrap">
                            <div class="owl-carousel owl-theme adv_blog_slider">
                                <?php
                                // Start the Loop
                                while ($query->have_posts()) : $query->the_post(); ?>
                                    <div class="item">
                                        <div class="adv_blog_box">
                                            <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                            <a href="<?php the_permalink(); ?>" class="adv_blog_img">
                                                <?php if($image){
                                                    ?>
                                                    <img src="<?php echo $image ?>" alt="Image">
                                                    <?php
                                                }else{
                                                    ?>
                                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                                    <?php
                                                } ?>
                                            </a>
                                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                            <?php echo wp_trim_words(get_the_excerpt(), 30); ?>
                                            <a href="<?php the_permalink(); ?>" class="adv_btn">Read more</a>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>

    <!-- Blog Start -->
    <?php
         $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;  // Default to page 1 if paged is not set
        // Define the query arguments
        $args = array(
            'post_type'      => 'post',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
            'posts_per_page' => 6,             // Number of posts to retrieve per page
            'orderby'        => 'date',        // Order posts by date
            'order'          => 'DESC',        // Display posts in descending order (newest first)
            'post_status'    => 'publish',     // Only get published posts
            'paged'          => $paged
        );

        // Create a new WP_Query object with the defined arguments
        $query = new WP_Query($args);

        // Check if there are posts
        if ($query->have_posts()) :
    ?>
    <div class="adv_blogpage_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('browse_categories_section_heading'); ?></h2>
                        <p><?php the_field('browse_categories_section_subheading'); ?></p>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="adv_blog_categories_filter">
                        <?php
                        // Get categories for custom post type 'product'
                        $categories = get_terms( array(
                            'taxonomy'   => 'category',  // This is the default category taxonomy
                            'post_type'  => 'post',      // Custom post type
                            'orderby'    => 'name',      // Sort by name
                            'order'      => 'ASC',       // Order ascending
                            'hide_empty' => false,       // Whether to hide empty categories
                        ) );

                        if ( ! empty( $categories ) ) {
                        echo "<ul>";
                            $category_count = count( $categories ); // Count total categories
                            $i = 0; // Counter to track loop position
                            foreach ( $categories as $category ) {
                                $category_link = get_term_link( $category );
                            ?>
                            <li><a href="<?php echo esc_url( $category_link ); ?>"><?php echo esc_html( $category->name ); // Display the category name ?></a></li>
                            <?php
                            }
                            echo "</ul>";
                        }
                        ?>
                    </div>
                </div>
            </div>

            <div class="row justify-content-center">
                <?php
                // Start the Loop
                while ($query->have_posts()) : $query->the_post(); ?>
                    <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                        <div class="adv_blog_box">
                            <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                            <a href="<?php the_permalink(); ?>" class="adv_blog_img">
                                <?php if($image){
                                    ?>
                                    <img src="<?php echo $image ?>" alt="Image">
                                    <?php
                                } else {
                                    ?>
                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                    <?php
                                } ?>
                            </a>
                            <h6>
                                <?php
                                $categories = get_the_category(); // Get the categories for the post
                                if ( ! empty( $categories ) ) {
                                    $category_count = count($categories); // Count total categories
                                    $i = 0; // Counter to track loop position
                                    foreach ($categories as $category) {
                                        echo esc_html($category->name); // Display the category name

                                        // Add a comma only if it's not the last category
                                        if (++$i < $category_count) {
                                            echo ', ';
                                        }
                                    }
                                }
                                ?>
                            </h6>
                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                            <?php echo wp_trim_words(get_the_excerpt(), 30); ?>
                            <a href="<?php the_permalink(); ?>" class="adv_blog_btn"><span>Read Full Story</span> <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/icon-arrow.png" alt="Image"></a>
                        </div>
                    </div>
                <?php endwhile; ?>
            </div>

            <!-- Pagination Start -->
            <div class="adv_paginations_wrap">
                <?php
                    echo "<div class='adv_paginations'>" . paginate_links(array(
                        'total' => $query->max_num_pages,
                        'prev_text' => __('<div class="preious-page">Previous</div>'),
                        'next_text' => __('<div class="next-page">Next</div>')
                    )) . "</div>";
                ?>
            </div>
        </div>
    </div>
    <?php
            // Reset post data
            wp_reset_postdata();
        endif;
    ?>

<?php get_footer();?>