<?php  
/*
Template Name: Careers Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('careers_banner_section_background_image'); ?>">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('careers_banner_section_heading'); ?></h1>
                        <?php the_field('careers_banner_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('careers_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Our People Start -->
    <div class="adv_ourpeople_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('company_culture_section_heading'); ?></h2>
                        <p><?php the_field('company_culture_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <?php if( have_rows('company_culture_section_image_list') ): ?>
            <div class="row justify-content-center">
                <?php while( have_rows('company_culture_section_image_list') ) : the_row(); ?>
                    <div class="col-xl-3 col-lg-3 col-sm-6 col-xs-12">
                        <div class="adv_ourpeople_box">
                            <img src="<?php the_sub_field('company_culture_section_image'); ?>" alt="Image">
                        </div>
                    </div>
                <?php endwhile; ?>
            </div>
            <?php endif; ?>
        </div>
    </div>

    <!-- Great Place Start -->
    <div class="adv_greatplace_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('company_perks_section_heading'); ?></h2>
                        <p><?php the_field('company_perks_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <?php if( have_rows('company_perks_list') ): ?>
            <div class="row justify-content-center align-items-center">
                <?php while( have_rows('company_perks_list') ) : the_row(); ?>
                <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                    <div class="adv_greatplace_box">
                        <img src="<?php the_sub_field('company_perks_list_image'); ?>" alt="Image">
                        <h5><?php the_sub_field('company_perks_list_heading'); ?></h5>
                        <p><?php the_sub_field('company_perks_list_description'); ?></p>
                    </div>
                </div>
                <?php endwhile; ?>
            </div>
            <?php endif; ?>
        </div>
    </div>

    <!-- Purpose Start -->
    <div class="adv_industriesfirst_wrap">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h2><?php the_field('purpose_section_heading'); ?></h2>
                        <?php the_field('purpose_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_industriesfirst_imgs">
                        <img src="<?php the_field('purpose_section_image'); ?>" alt="Image">
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Current Openings Start -->
    <div class="adv_currentopenings_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('current_openings_section_heading'); ?></h2>
                        <p><?php the_field('current_openings_section_subheading'); ?></p>
                    </div>
                </div>
                <div class="col-lg-12 col-sm-12">
                    <div class="adv_currentopenings_list">
                        <?php if( have_rows('current_openings_section_list') ): ?>
                            <div class="table-responsive">
                                <table class="table table-dark table-hover table-striped">
                                    <thead>
                                        <tr>
                                            <th>Positions</th>
                                            <th>Locations</th>
                                            <th>Expiriences</th>
                                            <th>View</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php while( have_rows('current_openings_section_list') ) : the_row(); ?>
                                        <tr>
                                            <td><?php the_sub_field('current_openings_name'); ?></td>
                                            <td><?php the_sub_field('current_openings_location'); ?></td>
                                            <td><?php the_sub_field('current_openings_experience'); ?></td>
                                            <td><a href="<?php the_sub_field('current_openings_button_url'); ?>"><?php the_sub_field('current_openings_button_text'); ?></a></td>
                                        </tr>
                                        <?php endwhile; ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php get_footer();?>