<?php  
/*
Template Name: Case Studies Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('case_studies_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('case_studies_banner_section_heading'); ?></h1>
                        <?php the_field('case_studies_banner_section_description'); ?>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('case_studies_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Case Study Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post__in'       => get_field('case_studies_show_home'),
        'post_type'      => 'case-studies',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 5,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );

    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);

    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_solutions_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('our_case_studies_section_heading'); ?></h2>
                        <p><?php the_field('our_case_studies_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <?php
                    // Start the Loop
                    $i =1;
                    while ($query->have_posts()) : $query->the_post(); $i++; ?>
                    <?php if($i%2==0){?>
                        <div class="adv_solutionbox">
                            <div class="adv_solutionbox_img">
                                <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                <?php if($image){
                                    ?>
                                    <img src="<?php echo $image ?>" alt="Image">
                                    <?php
                                }else{
                                    ?>
                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                    <?php
                                } ?>
                            </div>
                            <div class="adv_solutionbox_text">
                                <h4><?php the_title(); ?></h4>
                                <?php the_excerpt(); ?>
                                <?php if( have_rows('case_studies_page_list_content') ): ?>
                                    <ul>
                                        <?php while( have_rows('case_studies_page_list_content') ) : the_row(); ?>
                                            <li><strong><?php the_sub_field('case_studies_page_list_content_number'); ?>%</strong> <?php the_sub_field('case_studies_page_list_content_text'); ?></li>
                                        <?php endwhile; ?>
                                    </ul>
                                <?php endif; ?>
                                <a href="<?php the_permalink(); ?>" class="adv_btn">View Case Study</a>
                            </div>
                        </div>
                        <?php }else{?>
                        <div class="adv_solutionbox adv_rightalign">
                            <div class="adv_solutionbox_img">
                                <?php $image = wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                                <?php if($image){
                                    ?>
                                    <img src="<?php echo $image ?>" alt="Image">
                                    <?php
                                }else{
                                    ?>
                                    <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                                    <?php
                                } ?>
                            </div>
                            <div class="adv_solutionbox_text">
                                <h4><?php the_title(); ?></h4>
                                <?php the_excerpt(); ?>
                                <?php if( have_rows('case_studies_page_list_content') ): ?>
                                    <ul>
                                        <?php while( have_rows('case_studies_page_list_content') ) : the_row(); ?>
                                            <li><strong><?php the_sub_field('case_studies_page_list_content_number'); ?>%</strong> <?php the_sub_field('case_studies_page_list_content_text'); ?></li>
                                        <?php endwhile; ?>
                                    </ul>
                                <?php endif; ?>
                                <a href="<?php the_permalink(); ?>" class="adv_btn">View Case Study</a>
                            </div>
                        </div>
                            <?php } ?>
                    <?php endwhile; ?>
                </div>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();

    endif;
    ?>

    <!-- Companies Start -->
    <?php if( have_rows('company_clients_section_list', 'option') ): ?>
    <div class="adv_companies_wrap adv_solution_clients adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('clients_section_heading'); ?></h2>
                        <p><?php the_field('clients_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_companies_list_wrap">
                        <?php while( have_rows('company_clients_section_list', 'option') ) : the_row(); ?>
                            <div class="adv_companies_list">
                                <?php while( have_rows('company_clients_section_list_wrap', 'option') ) : the_row(); ?>
                                    <span><img src="<?php the_sub_field('company_clients_section_list_image', 'option'); ?>" alt="Image"></span>
                                <?php endwhile; ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

<?php get_footer();?>