<?php  
/*
Template Name: Data Sheet Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('datasheets_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('datasheets_banner_section_heading'); ?></h1>
                        <?php the_field('datasheets_banner_section_description'); ?>
                        <a href="<?php the_field('datasheets_banner_section_button_url'); ?>" class="adv_btn"><?php the_field('datasheets_banner_section_button_text'); ?></a>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('datasheets_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Data Sheet Start -->
    <div class="adv_datasheet_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('datasheets_library_section_heading'); ?></h2>
                        <p><?php the_field('datasheets_library_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <?php if( have_rows('datasheets_library_list') ): ?>
                <div class="row justify-content-center align-items-center">
                    <?php while( have_rows('datasheets_library_list') ) : the_row(); ?>
                    <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                        <div class="adv_datasheet_box">
                            <p><?php the_sub_field('datasheets_library_list_heading'); ?></p>
                            <iframe src="<?php the_sub_field('datasheets_library_list_url'); ?>"></iframe>
                        </div>
                    </div>
                    <?php endwhile; ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
    
    <!-- Corporate Brochures Start -->
    <div class="adv_datasheet_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('brochures_library_section_heading'); ?></h2>
                        <p><?php the_field('brochures_library_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <?php if( have_rows('brochures_library_list') ): ?>
                <div class="row justify-content-center align-items-center">
                    <?php while( have_rows('brochures_library_list') ) : the_row(); ?>
                        <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                            <div class="adv_datasheet_box">
                                <p><?php the_sub_field('brochures_library_list_heading'); ?></p>
                                <iframe src="<?php the_sub_field('brochures_library_list_url'); ?>"></iframe>
                            </div>
                        </div>
                    <?php endwhile; ?>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php get_footer();?>