<?php
/*
Template Name: Events Page
*/ 
get_header(); ?>

    <!-- Banner Head Start -->
    <div class="adv_bannerhaed_wrap" style="background-image: url('<?php the_field('event_banner_section_background_image'); ?>')">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-sm-12">
                    <div class="adv_heading_wrap">
                        <h1><?php the_field('event_banner_section_heading'); ?></h1>
                        <?php the_field('event_banner_section_description'); ?>
                        <a href="<?php the_field('event_banner_section_button_url'); ?>" class="adv_btn"><?php the_field('event_banner_section_button_text'); ?></a>
                    </div>
                </div>
                <div class="col-lg-5 col-sm-12">
                    <div class="adv_heading_center_wrap">
                        <img src="<?php the_field('event_banner_section_image'); ?>" alt="Icon">
                    </div>
                </div>
            </div>
        </div>
    </div>

    
    <!-- Upcoming Events Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post_type'      => 'event',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 3,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );
    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);
    // Check if there are posts
    if ($query->have_posts()) :
        
    ?>
    <div class="adv_blogpage_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('upcoming_events_section_heading'); ?></h2>
                        <p><?php the_field('upcoming_events_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
            <?php
                // Start the Loop
                while ($query->have_posts()) : $query->the_post(); 
                // Get today's date as a timestamp
                $today = current_time('Y-m-d');  // Use WordPress' current time in 'Y-m-d' format
                $event_date = get_field('event_date');  // Get the event date from the custom field

                // Convert both today's date and event date to timestamps for comparison
                $today_timestamp = strtotime($today);
                $event_date_timestamp = strtotime($event_date);

                // Check if the event date is in the past
                if ($today_timestamp < $event_date_timestamp) {
            ?>
            <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                <div class="adv_blog_box">
                    <?php $image = wp_get_attachment_image_url(get_post_thumbnail_id($post->ID), 'full');
                    ?>
                    <div class="adv_blog_img">
                        <?php if($image){
                            ?>
                            <img src="<?php echo esc_url($image); ?>" alt="Image">
                            <?php
                        }else{
                            ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                            <?php
                        } ?>
                    </div>
                    <h4><?php the_title(); ?></h4>
                    <!-- <h4><?php //the_title(); ?> - <?php //echo esc_html($event_date); ?></h4> -->
                    <?php the_excerpt(); ?>
                </div>
            </div>
            <?php
                }
            endwhile;
            ?>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();
    endif;
    ?>

    <!-- Past Events Start -->
    <?php
    // Define the query arguments
    $args = array(
        'post_type'      => 'event',        // Replace with your post type, e.g., 'page' or 'custom_post_type'
        'posts_per_page' => 6,             // Number of posts to retrieve
        'orderby'        => 'date',        // Order posts by date
        'order'          => 'DESC',        // Display posts in descending order (newest first)
        'post_status'    => 'publish'      // Only get published posts
    );
    // Create a new WP_Query object with the defined arguments
    $query = new WP_Query($args);
    // Check if there are posts
    if ($query->have_posts()) :
    ?>
    <div class="adv_blogpage_wrap adv_events_wrap adv_bgcolor_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12">
                    <div class="adv_heading_center_wrap">
                        <h2><?php the_field('past_events_section_heading'); ?></h2>
                        <p><?php the_field('past_events_section_subheading'); ?></p>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
            <?php
                // Start the Loop
                while ($query->have_posts()) : $query->the_post(); 
                // Get today's date as a timestamp
                $today = current_time('Y-m-d');  // Use WordPress' current time in 'Y-m-d' format
                $event_date = get_field('event_date');  // Get the event date from the custom field

                // Convert both today's date and event date to timestamps for comparison
                $today_timestamp = strtotime($today);
                $event_date_timestamp = strtotime($event_date);

                // Check if the event date is in the past
                if ($today_timestamp > $event_date_timestamp) {
            ?>
            <div class="col-xl-4 col-lg-4 col-sm-6 col-xs-12">
                <div class="adv_blog_box">
                    <?php $image = wp_get_attachment_image_url(get_post_thumbnail_id($post->ID), 'full');
                    ?>
                    <div class="adv_blog_img">
                        <?php if($image){
                            ?>
                            <img src="<?php echo esc_url($image); ?>" alt="Image">
                            <?php
                        }else{
                            ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/theme-assets/images/advantal-technologies-img.png" alt="Image">
                            <?php
                        } ?>
                    </div>
                    <h4><?php the_title(); ?></h4>
                    <!-- <h4><?php //the_title(); ?> - <?php //echo esc_html($event_date); ?></h4> -->
                    <?php the_excerpt(); ?>
                </div>
            </div>
            <?php
                }
            endwhile;
            ?>
            </div>
        </div>
    </div>
    <?php
        // Reset post data
        wp_reset_postdata();
    endif;
    ?>

<?php get_footer();?>