/*--------------------- Copyright (c) 2025 -----------------------
[Master Javascript]
Project: Advantal
Version: 1.0.0
-------------------------------------------------------------------*/
(function($){
    "use strict";
  
    // Ready Function
    jQuery(document).ready(function($){
        var $this = $(window);

        // Menu toggle
        $('.adv_menu_icon').on('click',function () {
            $('.adv_menu>ul').toggleClass('clicked');
        });

        // Fixed Header
        $(window).scroll(function(){
            if ($(window).scrollTop() >= 200) {
                $('.adv_header_wrap').addClass('fixed');
            }
            else {
                $('.adv_header_wrap').removeClass('fixed');
            }
        });

        // Show the first tab and hide the rest
        $('#sections-nav li:first-child').addClass('active');
        $('.adv_ourservices_text').hide();
        $('.adv_ourservices_text:first').show();

        // Click function
        $('#sections-nav li').mouseenter(function(){
        $('#sections-nav li').removeClass('active');
        $(this).addClass('active');
        $('.adv_ourservices_text').hide();
        
        var activeTab = $(this).find('a').attr('href');
        $(activeTab).fadeIn();
        return false;
        });

        // Home Blog Slider
        $('.adv_blog_slider').owlCarousel({
            loop:true,
            margin:30,
            nav:false,
            autoplay:true,
            center: true,
            responsive:{
                0:{
                    items:1
                },
                600:{
                    items:3
                },
                1000:{
                    items:4
                }
            }
        })

        // Counter JS
        function inVisible(element) {
            //Checking if the element is
            //visible in the viewport
            var WindowTop = $(window).scrollTop();
            var WindowBottom = WindowTop + $(window).height();
            var ElementTop = element.offset().top;
            var ElementBottom = ElementTop + element.height();
            //animating the element if it is
            //visible in the viewport
            if ((ElementBottom <= WindowBottom) && ElementTop >= WindowTop)
              animate(element);
          }
          
          function animate(element) {
            //Animating the element if not animated before
            if (!element.hasClass('ms-animated')) {
              var maxval = element.data('max');
              var html = element.html();
              element.addClass("ms-animated");
              $({
                countNum: element.html()
              }).animate({
                countNum: maxval
              }, {
                //duration 5 seconds
                duration: 10000,
                easing: 'linear',
                step: function() {
                  element.html(Math.floor(this.countNum) + html);
                },
                complete: function() {
                  element.html(this.countNum + html);
                }
              });
            }
          
          }
          
          //When the document is ready
          $(function() {
            //This is triggered when the
            //user scrolls the page
            $(window).scroll(function() {
              //Checking if each items to animate are 
              //visible in the viewport
              $(".adv_counter_run, .adv_counter_home").each(function() {
                inVisible($(this));
              });
            })
          });          
        
    });
})();